summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorf-koehler2015-06-09 01:28:11 +0200
committerf-koehler2015-06-09 01:28:11 +0200
commit7ef04c6eb83fa320bea5a842079e1258d0d26498 (patch)
tree3e4be9df2d206d6ada62781a760803cc228175fc /PKGBUILD
downloadaur-7ef04c6eb83fa320bea5a842079e1258d0d26498.tar.gz
Init
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8f38c1c5e6b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Fabian Köhler <fabian2804 (AT) googlemail (DOT) com >
+
+pkgname=dieharder
+pkgver=3.31.1
+pkgrel=4
+pkgdesc="A Random Number Test Suite"
+arch=('i686' 'x86_64')
+depends=('gsl')
+url="http://www.phy.duke.edu/~rgb/General/dieharder.php"
+license=('GPL')
+source=("http://www.phy.duke.edu/~rgb/General/dieharder/${pkgname}-${pkgver}.tgz"
+ 'autogen.patch'
+ 'stdint.patch')
+sha256sums=('6cff0ff8394c553549ac7433359ccfc955fb26794260314620dfa5e4cd4b727f'
+ '0df2d1957accfebba3e4083f7e1184aac10091c93f79a3174c79ebdae613831d'
+ '1ea17f15580fa9ac8831d20a3e4f5c412b8330bf2183f704371e167206497714')
+provides=('dieharder')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -uN autogen.sh ../autogen.patch || return 1
+ patch -uN include/dieharder/libdieharder.h ../stdint.patch || return 1
+ ./autogen.sh
+ make -j1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}/" install
+ install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et: